/* -*-c-*-
 *
 * $Id: acconfig.h,v 1.2 2002/02/02 19:16:13 mdw Exp $
 *
 * Configuration header
 *
 * (c) 2001 Mark Wooding
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Jog: Programming for a jogging machine.
 *
 * Jog is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Jog is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jog; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: acconfig.h,v $
 * Revision 1.2  2002/02/02 19:16:13  mdw
 * Add tracing options and compiled-in paths.
 *
 * Revision 1.1  2002/01/25 19:34:45  mdw
 * Initial revision
 *
 */

#ifndef ACCONFIG_H
#define ACCONFIG_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Configuration macros ----------------------------------------------*/
@TOP@

/* Package name.  */
#define PACKAGE "jog"

/* Package version number.  */
#define VERSION "1.0.0"

/* If it's not provided already, define to be a signed integer type capable
 * of representing any object size.  (If in doubt, make it an `int'.)  */
#undef ssize_t

/* Pathname to default socket for socket transport.  */
#define JOGSOCKET "/var/local/lib/jog/socket"

/* Pathname to audio data.  */
#define AUDIODIR "/usr/local/share/jog/audio"

/* Define to turn off tracing.  */
#undef NTRACE

@BOTTOM@

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
